Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2049692 - Review Request: ghc-colourista - Convenient interface for printing colourful messages
Summary: Review Request: ghc-colourista - Convenient interface for printing colourful ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2031307 2031315 2045696
TreeView+ depends on / blocked
 
Reported: 2022-02-02 14:50 UTC by Mohamed El Morabity
Modified: 2022-03-30 01:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-26 15:27:33 UTC
Type: ---
Embargoed:
petersen: fedora-review+


Attachments (Terms of Use)

Description Mohamed El Morabity 2022-02-02 14:50:44 UTC
Spec URL: https://melmorabity.fedorapeople.org/packages/ghc-colourista/ghc-colourista.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/ghc-colourista/ghc-colourista-0.1.0.1-1.fc36.src.rpm
Description:
Convenient interface for printing colourful messages based on the
'ansi-terminal' library.
Fedora Account System Username: melmorabity

Comment 1 Jens Petersen 2022-03-05 05:14:16 UTC
Package approved


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Mozilla Public License
     2.0", "Mozilla Public License 2.0". 4 files have unknown license.
     Detailed output of licensecheck in licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
ghc-colourista-devel.x86_64: E: static-library-without-debuginfo /usr/lib64/ghc-8.10.5/colourista-0.1.0.1/libHScolourista-0.1.0.1-JagTPAN3Sb2EWrAJPDVzQo.a
ghc-colourista-prof.x86_64: E: static-library-without-debuginfo /usr/lib64/ghc-8.10.5/colourista-0.1.0.1/libHScolourista-0.1.0.1-JagTPAN3Sb2EWrAJPDVzQo_p.a
ghc-colourista.x86_64: W: no-documentation
ghc-colourista-prof.x86_64: W: no-documentation
ghc-colourista-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-8.10.5/colourista-0.1.0.1/libHScolourista-0.1.0.1-JagTPAN3Sb2EWrAJPDVzQo_p.a


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Unversioned so-files
--------------------
ghc-colourista: /usr/lib64/libHScolourista-0.1.0.1-JagTPAN3Sb2EWrAJPDVzQo-ghc8.10.5.so

Source checksums
----------------
https://hackage.haskell.org/package/colourista-0.1.0.1/colourista-0.1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 6ebd9a0ab5479ed0de649ad7326eb08279c1b71a0db72da4b2ca4f61bafa709a
  CHECKSUM(SHA256) upstream package : 6ebd9a0ab5479ed0de649ad7326eb08279c1b71a0db72da4b2ca4f61bafa709a


Requires
--------
ghc-colourista (rpmlib, GLIBC filtered):
    libHSansi-terminal-0.11-BFECZyAKVuwLiwKwUzXX6o-ghc8.10.5.so()(64bit)
    libHSarray-0.5.4.0-ghc8.10.5.so()(64bit)
    libHSbase-4.14.2.0-ghc8.10.5.so()(64bit)
    libHSbinary-0.8.8.0-ghc8.10.5.so()(64bit)
    libHSbytestring-0.10.12.0-ghc8.10.5.so()(64bit)
    libHScolour-2.3.6-3UUgRTzi059JmZ2oC00Tg-ghc8.10.5.so()(64bit)
    libHScontainers-0.6.4.1-ghc8.10.5.so()(64bit)
    libHSdeepseq-1.4.4.0-ghc8.10.5.so()(64bit)
    libHSghc-boot-th-8.10.5-ghc8.10.5.so()(64bit)
    libHSghc-prim-0.6.1-ghc8.10.5.so()(64bit)
    libHSinteger-gmp-1.0.3.0-ghc8.10.5.so()(64bit)
    libHSpretty-1.1.3.6-ghc8.10.5.so()(64bit)
    libHStemplate-haskell-2.16.0.0-ghc8.10.5.so()(64bit)
    libHStext-1.2.4.1-ghc8.10.5.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

ghc-colourista-devel (rpmlib, GLIBC filtered):
    ghc-colourista(x86-64)
    ghc-compiler
    ghc-devel(ansi-terminal-0.11-BFECZyAKVuwLiwKwUzXX6o)
    ghc-devel(base-4.14.2.0)
    ghc-devel(bytestring-0.10.12.0)
    ghc-devel(ghc-prim-0.6.1)
    ghc-devel(text-1.2.4.1)



Provides
--------
ghc-colourista:
    ghc-colourista
    ghc-colourista(x86-64)
    libHScolourista-0.1.0.1-JagTPAN3Sb2EWrAJPDVzQo-ghc8.10.5.so()(64bit)

ghc-colourista-devel:
    ghc-colourista-devel
    ghc-colourista-devel(x86-64)
    ghc-colourista-static
    ghc-colourista-static(x86-64)
    ghc-devel(colourista-0.1.0.1-JagTPAN3Sb2EWrAJPDVzQo)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2049692
Buildroot used: fedora-rawhide-x86_64
Active plugins: Haskell, Shell-api, Generic, C/C++
Disabled plugins: SugarActivity, PHP, Ocaml, Python, Java, R, Perl, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

licensecheck output:

*No copyright* Mozilla Public License 2.0
-----------------------------------------
colourista-0.1.0.1/LICENSE

Mozilla Public License 2.0
--------------------------
colourista-0.1.0.1/colourista.cabal
colourista-0.1.0.1/src/Colourista.hs
colourista-0.1.0.1/src/Colourista/IO.hs
colourista-0.1.0.1/src/Colourista/Pure.hs
colourista-0.1.0.1/src/Colourista/Short.hs

Unknown or generated
--------------------
colourista-0.1.0.1/CHANGELOG.md
colourista-0.1.0.1/README.md
colourista-0.1.0.1/test/Spec.hs
colourista-0.1.0.1/test/Test/Colourista.hs

Comment 2 Gwyn Ciesla 2022-03-08 14:31:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-colourista

Comment 3 Fedora Update System 2022-03-21 01:46:45 UTC
FEDORA-2022-d349d0435b has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d349d0435b

Comment 4 Fedora Update System 2022-03-21 01:46:45 UTC
FEDORA-2022-e9895c7f1b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e9895c7f1b

Comment 5 Fedora Update System 2022-03-21 02:54:36 UTC
FEDORA-2022-d349d0435b has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-d349d0435b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d349d0435b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-03-22 04:13:46 UTC
FEDORA-2022-e9895c7f1b has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-e9895c7f1b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e9895c7f1b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-03-26 15:27:33 UTC
FEDORA-2022-d349d0435b has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-03-30 01:27:56 UTC
FEDORA-2022-e9895c7f1b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.